#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;

void main(void)
{
    gl_FragColor = texture2D(CC_Texture0, v_texCoord);
    
    if(gl_FragColor.a < 0.25)
    {
        float dist = 0.6 * (0.25 - gl_FragColor.a);
        
        gl_FragColor = gl_FragColor + vec4(dist,dist,dist,0.0);
    }
}
