//#ifdef GL_ES
//precision lowp float;
//#endif

varying vec2 v_texCoord;

uniform float val;

void main(void)
{
    if(v_texCoord.x > val)
    {
        gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
    }
    else
    {
        if(v_texCoord.x > val * 0.5)
        {
            gl_FragColor = texture2D(CC_Texture0, vec2(val - v_texCoord.x, v_texCoord.y));
        }
        else
        {
            gl_FragColor = texture2D(CC_Texture0, v_texCoord);
        }
    }
}
