#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec4 tintColor;


void main(void)
{
    vec4 color = texture2D(CC_Texture0, v_texCoord);
    
    if(tintColor.a == 0.0)
    {
        gl_FragColor = color;
    }
    else
    {
        gl_FragColor = color.a*tintColor*tintColor.a + (1.0-tintColor.a)*color;
        gl_FragColor.a = color.a;
    }
}
