#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;

void main(void)
{
    vec4 color = texture2D(CC_Texture0, v_texCoord);
    
    if(color.a == 0.0)
    {
        gl_FragColor = color;
    }
    else
    {
        gl_FragColor = vec4(color.a, color.a * 204.0 / 255.0, 0.0, color.a);
    }
}
